# Voicechat

This mod adds in-game voicechat to Risk of Rain 2
It includes a tab in the settings menu where you can customize functionality.
It has a option for proximity voicechat along with support for gesture activated voicechat when using VRMod.


**Features:**

* In-game settings
	* Microphone device
	* Microphone volume
	* Microphone boost
	* Voicechat Volume
	* Voice Activation [On/Off]
	* Voice Sensitivity
	* VR Gesture Control [On/Off]
	* **[Host Only]** Proximity Voicechat [On/Off]
	* **[Host Only]** Voicechat Distance
	* **[Host Only]** Low Latency Mode [On/Off]
	* **[Host Only]** Bitrate 
* VR Gesture Control
	* "Push to talk" by pressing your hand against your ear in VR.
* Proximity Voicechat
	* Audio comes from the player models and you can only hear eachother when nearby.  
  

![Settings](https://i.imgur.com/rlmYrHH.png)  

If you have any problems feel free to contact me on discord, I am in the Risk of Rain modding server.
My discord tag is **Evaisa#0001**  


### Patch Notes:

1.1.3

* Added proper controller support for the settings menu. You can now scroll down in VR and stuff. Thanks DrBibop.


1.1.3

* Fix error preventing dedicated servers from starting properly.
* Modify convar setting strings to be more usable for dedicated servers.


1.1.2

* Cleaned up all of the debug logging.
* Reorganized some settings.


1.1.0

* Added setting to change distance of proximity voicechat.
* Made microphone list refresh when opening settings menu.


1.0.0

* First Release

## Installation

* Drop VoiceChat.dll in your plugins folder or use a mod manager.
